<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:24 PST 2005 -->
<TITLE>
: Class  SQLDataTypesSwitch
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLDataTypesSwitch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesAdapterFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLDataTypesSwitch.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.datatypes.util</FONT>
<BR>
Class  SQLDataTypesSwitch</H2>
<PRE>
java.lang.Object
  |
  +--<B>org.eclipse.wst.rdb.internal.models.sql.datatypes.util.SQLDataTypesSwitch</B>
</PRE>
<HR>
<DL>
<DT>public class <B>SQLDataTypesSwitch</B><DT>extends java.lang.Object</DL>

<P>
<!-- begin-user-doc -->
 The <b>Switch</b> for the model's inheritance hierarchy.
 It supports the call <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(object)</CODE></A>
 to invoke the <code>caseXXX</code> method for each class of the model,
 starting with the actual class of the object
 and proceeding up the inheritance hierarchy
 until a non-null result is returned,
 which is the result of the switch.
 <!-- end-user-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html"><CODE>SQLDataTypesPackage</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#SQLDataTypesSwitch()">SQLDataTypesSwitch</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an instance of the switch.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseApproximateNumericDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ApproximateNumericDataType)">caseApproximateNumericDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ApproximateNumericDataType.html">ApproximateNumericDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Approximate Numeric Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseArrayDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ArrayDataType)">caseArrayDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ArrayDataType.html">ArrayDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Array Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseAttributeDefinition(org.eclipse.wst.rdb.internal.models.sql.datatypes.AttributeDefinition)">caseAttributeDefinition</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/AttributeDefinition.html">AttributeDefinition</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Attribute Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseBinaryStringDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.BinaryStringDataType)">caseBinaryStringDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/BinaryStringDataType.html">BinaryStringDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Binary String Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseBooleanDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.BooleanDataType)">caseBooleanDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/BooleanDataType.html">BooleanDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Boolean Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseCharacterSet(org.eclipse.wst.rdb.internal.models.sql.datatypes.CharacterSet)">caseCharacterSet</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/CharacterSet.html">CharacterSet</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Character Set</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseCharacterStringDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.CharacterStringDataType)">caseCharacterStringDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/CharacterStringDataType.html">CharacterStringDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Character String Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseCollectionDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.CollectionDataType)">caseCollectionDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/CollectionDataType.html">CollectionDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Collection Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseConstructedDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ConstructedDataType)">caseConstructedDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ConstructedDataType.html">ConstructedDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Constructed Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseDataLinkDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.DataLinkDataType)">caseDataLinkDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataLinkDataType.html">DataLinkDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Data Link Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.DataType)">caseDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataType.html">DataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseDateDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.DateDataType)">caseDateDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DateDataType.html">DateDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Date Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseDistinctUserDefinedType(org.eclipse.wst.rdb.internal.models.sql.datatypes.DistinctUserDefinedType)">caseDistinctUserDefinedType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DistinctUserDefinedType.html">DistinctUserDefinedType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Distinct User Defined Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseDomain(org.eclipse.wst.rdb.internal.models.sql.datatypes.Domain)">caseDomain</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/Domain.html">Domain</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Domain</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseEModelElement(org.eclipse.emf.ecore.EModelElement)">caseEModelElement</A></B>(org.eclipse.emf.ecore.EModelElement&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>EModel Element</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseENamedElement(org.eclipse.emf.ecore.ENamedElement)">caseENamedElement</A></B>(org.eclipse.emf.ecore.ENamedElement&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>ENamed Element</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseExactNumericDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ExactNumericDataType)">caseExactNumericDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ExactNumericDataType.html">ExactNumericDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Exact Numeric Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseField(org.eclipse.wst.rdb.internal.models.sql.datatypes.Field)">caseField</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/Field.html">Field</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Field</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseFixedPrecisionDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.FixedPrecisionDataType)">caseFixedPrecisionDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/FixedPrecisionDataType.html">FixedPrecisionDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Fixed Precision Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseIntegerDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.IntegerDataType)">caseIntegerDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/IntegerDataType.html">IntegerDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Integer Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseIntervalDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.IntervalDataType)">caseIntervalDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/IntervalDataType.html">IntervalDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Interval Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseMultisetDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.MultisetDataType)">caseMultisetDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/MultisetDataType.html">MultisetDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Multiset Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseNumericalDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.NumericalDataType)">caseNumericalDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/NumericalDataType.html">NumericalDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Numerical Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#casePredefinedDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.PredefinedDataType)">casePredefinedDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/PredefinedDataType.html">PredefinedDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Predefined Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseReferenceDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ReferenceDataType)">caseReferenceDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ReferenceDataType.html">ReferenceDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Reference Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseRowDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.RowDataType)">caseRowDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/RowDataType.html">RowDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Row Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseSQLDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.SQLDataType)">caseSQLDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataType.html">SQLDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseSQLObject(org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject)">caseSQLObject</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>SQL Object</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseStructuredUserDefinedType(org.eclipse.wst.rdb.internal.models.sql.datatypes.StructuredUserDefinedType)">caseStructuredUserDefinedType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html">StructuredUserDefinedType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Structured User Defined Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseTimeDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.TimeDataType)">caseTimeDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/TimeDataType.html">TimeDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Time Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseTypedElement(org.eclipse.wst.rdb.internal.models.sql.schema.TypedElement)">caseTypedElement</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/TypedElement.html">TypedElement</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>Typed Element</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseUserDefinedType(org.eclipse.wst.rdb.internal.models.sql.datatypes.UserDefinedType)">caseUserDefinedType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedType.html">UserDefinedType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>User Defined Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseUserDefinedTypeOrdering(org.eclipse.wst.rdb.internal.models.sql.datatypes.UserDefinedTypeOrdering)">caseUserDefinedTypeOrdering</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedTypeOrdering.html">UserDefinedTypeOrdering</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>User Defined Type Ordering</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#caseXMLDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.XMLDataType)">caseXMLDataType</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/XMLDataType.html">XMLDataType</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>XML Data Type</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#defaultCase(org.eclipse.emf.ecore.EObject)">defaultCase</A></B>(org.eclipse.emf.ecore.EObject&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the result of interpretting the object as an instance of '<em>EObject</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)">doSwitch</A></B>(org.eclipse.emf.ecore.EObject&nbsp;theEObject)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="SQLDataTypesSwitch()"><!-- --></A><H3>
SQLDataTypesSwitch</H3>
<PRE>
public <B>SQLDataTypesSwitch</B>()</PRE>
<DL>
<DD>Creates an instance of the switch.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="doSwitch(org.eclipse.emf.ecore.EObject)"><!-- --></A><H3>
doSwitch</H3>
<PRE>
public java.lang.Object <B>doSwitch</B>(org.eclipse.emf.ecore.EObject&nbsp;theEObject)</PRE>
<DL>
<DD>Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Returns:</B><DD>the first non-null result returned by a <code>caseXXX</code> call.</DL>
</DD>
</DL>
<HR>

<A NAME="caseUserDefinedType(org.eclipse.wst.rdb.internal.models.sql.datatypes.UserDefinedType)"><!-- --></A><H3>
caseUserDefinedType</H3>
<PRE>
public java.lang.Object <B>caseUserDefinedType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedType.html">UserDefinedType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>User Defined Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>User Defined Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.DataType)"><!-- --></A><H3>
caseDataType</H3>
<PRE>
public java.lang.Object <B>caseDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataType.html">DataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="casePredefinedDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.PredefinedDataType)"><!-- --></A><H3>
casePredefinedDataType</H3>
<PRE>
public java.lang.Object <B>casePredefinedDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/PredefinedDataType.html">PredefinedDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Predefined Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Predefined Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseCollectionDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.CollectionDataType)"><!-- --></A><H3>
caseCollectionDataType</H3>
<PRE>
public java.lang.Object <B>caseCollectionDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/CollectionDataType.html">CollectionDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Collection Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Collection Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseNumericalDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.NumericalDataType)"><!-- --></A><H3>
caseNumericalDataType</H3>
<PRE>
public java.lang.Object <B>caseNumericalDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/NumericalDataType.html">NumericalDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Numerical Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Numerical Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseCharacterStringDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.CharacterStringDataType)"><!-- --></A><H3>
caseCharacterStringDataType</H3>
<PRE>
public java.lang.Object <B>caseCharacterStringDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/CharacterStringDataType.html">CharacterStringDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Character String Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Character String Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseRowDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.RowDataType)"><!-- --></A><H3>
caseRowDataType</H3>
<PRE>
public java.lang.Object <B>caseRowDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/RowDataType.html">RowDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Row Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Row Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseArrayDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ArrayDataType)"><!-- --></A><H3>
caseArrayDataType</H3>
<PRE>
public java.lang.Object <B>caseArrayDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ArrayDataType.html">ArrayDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Array Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Array Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseMultisetDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.MultisetDataType)"><!-- --></A><H3>
caseMultisetDataType</H3>
<PRE>
public java.lang.Object <B>caseMultisetDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/MultisetDataType.html">MultisetDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Multiset Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Multiset Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseBooleanDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.BooleanDataType)"><!-- --></A><H3>
caseBooleanDataType</H3>
<PRE>
public java.lang.Object <B>caseBooleanDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/BooleanDataType.html">BooleanDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Boolean Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Boolean Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseIntervalDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.IntervalDataType)"><!-- --></A><H3>
caseIntervalDataType</H3>
<PRE>
public java.lang.Object <B>caseIntervalDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/IntervalDataType.html">IntervalDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Interval Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Interval Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseBinaryStringDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.BinaryStringDataType)"><!-- --></A><H3>
caseBinaryStringDataType</H3>
<PRE>
public java.lang.Object <B>caseBinaryStringDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/BinaryStringDataType.html">BinaryStringDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Binary String Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Binary String Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseCharacterSet(org.eclipse.wst.rdb.internal.models.sql.datatypes.CharacterSet)"><!-- --></A><H3>
caseCharacterSet</H3>
<PRE>
public java.lang.Object <B>caseCharacterSet</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/CharacterSet.html">CharacterSet</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Character Set</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Character Set</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseTimeDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.TimeDataType)"><!-- --></A><H3>
caseTimeDataType</H3>
<PRE>
public java.lang.Object <B>caseTimeDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/TimeDataType.html">TimeDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Time Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Time Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseDistinctUserDefinedType(org.eclipse.wst.rdb.internal.models.sql.datatypes.DistinctUserDefinedType)"><!-- --></A><H3>
caseDistinctUserDefinedType</H3>
<PRE>
public java.lang.Object <B>caseDistinctUserDefinedType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DistinctUserDefinedType.html">DistinctUserDefinedType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Distinct User Defined Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Distinct User Defined Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseStructuredUserDefinedType(org.eclipse.wst.rdb.internal.models.sql.datatypes.StructuredUserDefinedType)"><!-- --></A><H3>
caseStructuredUserDefinedType</H3>
<PRE>
public java.lang.Object <B>caseStructuredUserDefinedType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/StructuredUserDefinedType.html">StructuredUserDefinedType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Structured User Defined Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Structured User Defined Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseAttributeDefinition(org.eclipse.wst.rdb.internal.models.sql.datatypes.AttributeDefinition)"><!-- --></A><H3>
caseAttributeDefinition</H3>
<PRE>
public java.lang.Object <B>caseAttributeDefinition</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/AttributeDefinition.html">AttributeDefinition</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Attribute Definition</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Attribute Definition</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseFixedPrecisionDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.FixedPrecisionDataType)"><!-- --></A><H3>
caseFixedPrecisionDataType</H3>
<PRE>
public java.lang.Object <B>caseFixedPrecisionDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/FixedPrecisionDataType.html">FixedPrecisionDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Fixed Precision Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Fixed Precision Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseDomain(org.eclipse.wst.rdb.internal.models.sql.datatypes.Domain)"><!-- --></A><H3>
caseDomain</H3>
<PRE>
public java.lang.Object <B>caseDomain</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/Domain.html">Domain</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Domain</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Domain</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseField(org.eclipse.wst.rdb.internal.models.sql.datatypes.Field)"><!-- --></A><H3>
caseField</H3>
<PRE>
public java.lang.Object <B>caseField</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/Field.html">Field</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Field</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Field</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseReferenceDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ReferenceDataType)"><!-- --></A><H3>
caseReferenceDataType</H3>
<PRE>
public java.lang.Object <B>caseReferenceDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ReferenceDataType.html">ReferenceDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Reference Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Reference Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseConstructedDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ConstructedDataType)"><!-- --></A><H3>
caseConstructedDataType</H3>
<PRE>
public java.lang.Object <B>caseConstructedDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ConstructedDataType.html">ConstructedDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Constructed Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Constructed Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.SQLDataType)"><!-- --></A><H3>
caseSQLDataType</H3>
<PRE>
public java.lang.Object <B>caseSQLDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataType.html">SQLDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseDataLinkDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.DataLinkDataType)"><!-- --></A><H3>
caseDataLinkDataType</H3>
<PRE>
public java.lang.Object <B>caseDataLinkDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DataLinkDataType.html">DataLinkDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Data Link Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Data Link Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseUserDefinedTypeOrdering(org.eclipse.wst.rdb.internal.models.sql.datatypes.UserDefinedTypeOrdering)"><!-- --></A><H3>
caseUserDefinedTypeOrdering</H3>
<PRE>
public java.lang.Object <B>caseUserDefinedTypeOrdering</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/UserDefinedTypeOrdering.html">UserDefinedTypeOrdering</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>User Defined Type Ordering</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>User Defined Type Ordering</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseDateDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.DateDataType)"><!-- --></A><H3>
caseDateDataType</H3>
<PRE>
public java.lang.Object <B>caseDateDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/DateDataType.html">DateDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Date Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Date Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseExactNumericDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ExactNumericDataType)"><!-- --></A><H3>
caseExactNumericDataType</H3>
<PRE>
public java.lang.Object <B>caseExactNumericDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ExactNumericDataType.html">ExactNumericDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Exact Numeric Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Exact Numeric Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseApproximateNumericDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.ApproximateNumericDataType)"><!-- --></A><H3>
caseApproximateNumericDataType</H3>
<PRE>
public java.lang.Object <B>caseApproximateNumericDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/ApproximateNumericDataType.html">ApproximateNumericDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Approximate Numeric Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Approximate Numeric Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseIntegerDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.IntegerDataType)"><!-- --></A><H3>
caseIntegerDataType</H3>
<PRE>
public java.lang.Object <B>caseIntegerDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/IntegerDataType.html">IntegerDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Integer Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Integer Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseXMLDataType(org.eclipse.wst.rdb.internal.models.sql.datatypes.XMLDataType)"><!-- --></A><H3>
caseXMLDataType</H3>
<PRE>
public java.lang.Object <B>caseXMLDataType</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/XMLDataType.html">XMLDataType</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>XML Data Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>XML Data Type</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseEModelElement(org.eclipse.emf.ecore.EModelElement)"><!-- --></A><H3>
caseEModelElement</H3>
<PRE>
public java.lang.Object <B>caseEModelElement</B>(org.eclipse.emf.ecore.EModelElement&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>EModel Element</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>EModel Element</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseENamedElement(org.eclipse.emf.ecore.ENamedElement)"><!-- --></A><H3>
caseENamedElement</H3>
<PRE>
public java.lang.Object <B>caseENamedElement</B>(org.eclipse.emf.ecore.ENamedElement&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>ENamed Element</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>ENamed Element</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseSQLObject(org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject)"><!-- --></A><H3>
caseSQLObject</H3>
<PRE>
public java.lang.Object <B>caseSQLObject</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>SQL Object</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>SQL Object</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="caseTypedElement(org.eclipse.wst.rdb.internal.models.sql.schema.TypedElement)"><!-- --></A><H3>
caseTypedElement</H3>
<PRE>
public java.lang.Object <B>caseTypedElement</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/TypedElement.html">TypedElement</A>&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>Typed Element</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>Typed Element</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(EObject)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="defaultCase(org.eclipse.emf.ecore.EObject)"><!-- --></A><H3>
defaultCase</H3>
<PRE>
public java.lang.Object <B>defaultCase</B>(org.eclipse.emf.ecore.EObject&nbsp;object)</PRE>
<DL>
<DD>Returns the result of interpretting the object as an instance of '<em>EObject</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch, but this is the last case anyway.
 <!-- end-user-doc --><DD><DL>
<DT><B>Parameters:</B><DD><CODE>object</CODE> - the target of the switch.<DT><B>Returns:</B><DD>the result of interpretting the object as an instance of '<em>EObject</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesSwitch.html#doSwitch(org.eclipse.emf.ecore.EObject)"><CODE>doSwitch(org.eclipse.emf.ecore.EObject)</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLDataTypesSwitch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/SQLDataTypesAdapterFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLDataTypesSwitch.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
